> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Import From Weblink



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/presentations/{presentationId}/weblink-imports
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/presentations/{presentationId}/weblink-imports:
    post:
      tags:
        - Presentation Items
      summary: Import From Weblink
      operationId: PresentationItemsController_importFromWeblink_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: presentationId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImportPresentationItemFromWeblinkDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    ImportPresentationItemFromWeblinkDto:
      type: object
      properties:
        url:
          type: string
          minLength: 1
          maxLength: 2048
        categoryId:
          type: string
          pattern: ^[1-9]\d{0,18}$
        productTypeId:
          anyOf:
            - type: string
              pattern: ^[1-9]\d{0,18}$
            - type: 'null'
        clientImportId:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      required:
        - url
        - clientImportId
      additionalProperties: false
      description: >-
        Choose a category and optionally one of its product types. A product
        type alone selects its category.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.